Anonymize end user

PATCH
/beta/endusers/{userId}/anonymize

Request the anonymization of an end user.

Authorization

ApiKeyAuth anonymization
headerAuthorization<token>

Scope: anonymization

Path Parameters

userId*string

The id of the end user to anonymize

Formatuuid

Query Parameters

force?boolean

Whether to force close all the conversations initiated by the end user, if any are found in a non closed state.

Defaultfalse

Response Body

The end user's anonymization request status

application/json
  1. response
data*
Example Request
curl -X PATCH 'https://dev.dixa.io/beta/endusers/{userId}/anonymize' \  -H 'Authorization: <API token>'
{
"data": {
"id": "6bf55369-a670-4e6b-9f70-ecdb9913549f",
"entityType": "UserAnonymizationType",
"_type": "User",
"initiatedAt": "2021-12-01T12:46:36.581Z[GMT]",
"targetEntityId": "f28fafd6-2e42-4441-943c-388a8e0ef433",
"requestedBy": "2b01e4c9-0c3a-47d4-9462-cd5a1a4687f5"
}
}